%define major		1
%define gi_major	1.0
%define libname		%mklibname colord-gtk %major
%define develname	%mklibname -d colord-gtk
%define girname		%mklibname colord-gtk-gir %gi_major

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		colord-gtk
Version:	0.1.25
Release:	%mkrel 7
Summary:	Library for the colord-gtk protocol
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.freedesktop.org/software/colord/
Source0:	http://www.freedesktop.org/software/colord/releases/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0) >= 2.17.3
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.19.0
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(colord)
BuildRequires:	pkgconfig(lcms2) >= 2.2
BuildRequires:	dbus-glib-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	vala-tools

%description
colord-gtk is a support library for colord and provides additional
functionality that requires GTK+.

%package i18n
Summary:	Library for the colord-gtk protocol - translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
colord-gtk is a support library for colord and provides additional
functionality that requires GTK+.

%package -n %{libname}
Summary:	Library for the colord-gtk protocol
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n %{libname}
colord-gtk is a support library for colord and provides additional
functionality that requires GTK+.


%package -n %develname
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for colord-gtk
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static --enable-vala
%make

%install
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%find_lang colord-gtk

%files i18n -f colord-gtk.lang

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/ColordGtk-%{gi_major}.gir
%{_datadir}/vala/vapi/colord-gtk.vapi

%files -n %{girname}
%{_libdir}/girepository-1.0/ColordGtk-%{gi_major}.typelib


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.1.25-7.mga5
+ Revision: 751092
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 0.1.25-6.mga5
+ Revision: 731116
- rebuild so that it picks typelib() requires

* Thu Sep 18 2014 umeabot <umeabot> 0.1.25-5.mga5
+ Revision: 693661
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.1.25-4.mga5
+ Revision: 678481
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.25-3.mga4
+ Revision: 534813
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 wally <wally> 0.1.25-2.mga4
+ Revision: 478821
- fix requires/provides

* Sat May 25 2013 ovitters <ovitters> 0.1.25-1.mga4
+ Revision: 427085
- ensure vala is enabled
- disable Ubuntu Online Accounts support
- new version 0.1.25

* Fri Jan 11 2013 umeabot <umeabot> 0.1.23-2.mga3
+ Revision: 348016
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 fwang <fwang> 0.1.23-1.mga3
+ Revision: 308162
- new version 0.1.23

* Fri Jul 20 2012 ovitters <ovitters> 0.1.22-2.mga3
+ Revision: 272710
- i18n is noarch

* Sun Jul 01 2012 ovitters <ovitters> 0.1.22-1.mga3
+ Revision: 266197
- br colord,lcms2,vala-tools
- br gtk+-3.0
- imported package colord-gtk

